using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability425.Domain;

public class TaobaoTbkScPublisherInfoSaveData
{

    /*
        渠道关系ID
    */
    private long? relationId;


    /*
        渠道昵称
    */
    private string? accountName;


    /*
        会员运营ID
    */
    private long? specialId;


    /*
        如果重复绑定会提示：”重复绑定渠道“或”重复绑定粉丝“
    */
    private string? desc;



    [JsonPropertyName("relation_id")]
    public long? RelationId
    {
        get => relationId;
        set => this.relationId = value;
    }

    [JsonPropertyName("account_name")]
    public string? AccountName
    {
        get => accountName;
        set => this.accountName = value;
    }

    [JsonPropertyName("special_id")]
    public long? SpecialId
    {
        get => specialId;
        set => this.specialId = value;
    }

    [JsonPropertyName("desc")]
    public string? Desc
    {
        get => desc;
        set => this.desc = value;
    }

}

